Issue 115828 - [non-pro] assertion "no default list id found" in SwXNumberingRules
Summary: [non-pro] assertion "no default list id found" in SwXNumberingRules
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: DEV300m94
Hardware: PC Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: Oliver-Rainer Wittmann
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-29 22:44 UTC by Regina Henschel
Modified: 2017-05-20 11:42 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
The autotext file, which contains the mentioned text (32.51 KB, application/x-compressed)
2010-11-29 22:47 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2010-11-29 22:44:59 UTC
I have got some autotexts, which I have used a long time and from several OOo
versions. They are stored in a separate folder. This folder is add to the
autotext path in Tools > Options > OOo > Paths as read only. It shows up as
first entry in the line.

When I enter my autotext "formatierterBlindtext" (BTF), it tooks some time
before it appears and I get the error:

Error: Assertion failed
=====================
FILE : C:/DEV30m93my/sw/source/core/unocore/unosett.cxx at line 2374
ERROR: "<SwXNumberingRules::getPropertyValue(..)> - no default list id found.
Serious defect -> please inform OD."
Error: no default list id found at chapter numbering rules instance. Serious
defect -> please inform OD. From File
C:/DEV300m93my/xmloff/source/text/txtimp.cxx at Line 987
Comment 1 Regina Henschel 2010-11-29 22:47:21 UTC
Created attachment 75169 [details]
The autotext file, which contains the mentioned text
Comment 2 michael.ruess 2010-11-30 09:40:53 UTC
MRU->OD: the line "please inform OD" tells it all ;-)
Please have a look, thanks!
Comment 3 Martin Hollmichel 2011-03-16 11:44:57 UTC
set target 3.x since not relevant for 3.4 release.
Comment 4 Oliver-Rainer Wittmann 2011-05-06 07:59:44 UTC
fixed in cws sw34bf06 by fix for issue 114725
Comment 5 mst.ooo 2011-05-10 09:37:33 UTC
verified in CWS sw34bf06